View Issue Details

IDProjectCategoryView StatusLast Update
0001111Main CAcert Websitewebsite contentpublic2013-03-21 07:38
ReporterINOPIAE Assigned ToNEOatNHNG  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Fixed in Version2012 Q4 
Summary0001111: Change the text on the TTP page according to the new TTP programm
DescriptionExchange the text /pages/wot/4.php according to the new TTP programm

Change on pages/account/0.php
TagsNo tags attached.
Reviewed byNEOatNHNG, BenBE
Test Instructions

Relationships

related to 0001112 closed Exchange the text on the TTP page according to the new TTP programm 

Activities

INOPIAE

2012-11-11 16:44

updater  

4.modified.php (2,575 bytes)   
<? /*
    LibreSSL - CAcert web application
    Copyright (C) 2004-2008  CAcert Inc.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; version 2 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/ ?>

<h3><?_("Trusted Third Parties")?></h3>

<? _("The Trusted Third Party (TTP) programme is intended to be used in areas without many CAcert Assurers.")."\n\n" ?>

<? _("A Trusted Third Party (TTP) is simply someone in your country that is responsible for witnessing signatures and ID documents. This role is covered by many different titles such as public notary, justice of the peace and so on..")."\n\n" ?>

<? _("With the TTP programme you can potentially gain assurance up to a maximum of 100 assurance points.")."\n\n" ?>

<? _("Currently CAcert has only developed the TTP programme to the level that you can gain 70 assurance points by TTP assurances.")."\n\n" ?>. 

<? _("We are working to develop a process that will fill the gap of the missing 30 assurance points to allow you to get the maximum 100 assurance points.")."\n\n" ?> 

<? _("In the meanwhile you would need to close this gap with face to face assurances with CAcert Assurers. Think not only traveling to populated countries, but also remember that assurers may occasionally visit your country or area.")."\n\n" ?>

<? sprintf(_("If you are interested in the TTP programme, read the pages %s for the basic way how the TTP programme works for you, and %s whether the TTP programme affects the country where you are located."),"<a href='http://wiki.cacert.org/TTP/TTPuser'>http://wiki.cacert.org/TTP/TTPuser</a>","<a href='http://wiki.cacert.org/TTP/TTPAL'>http://wiki.cacert.org/TTP/TTPAL</a>")."\n\n" ?>

<? sprintf(_("If you want to take part in the TTP programme, send an email to %s with your name, the main email address of your CAcert account and the country that you want to see the TTP. CAcert will then send you the needed forms and guide you through the process.","<a href='mailto:support@cacert.org'>support@cacert.org</a>")?>
4.modified.php (2,575 bytes)   

INOPIAE

2012-11-11 16:45

updater   ~0003323

Can you change the text and move it to the test server.

Uli60

2012-11-13 22:36

updater   ~0003334

/pages/wot/4.php logged-in: CAcert Web of Trust - Trusted ?ThirdParties
white page
=> fail

Uli60

2012-11-13 22:55

updater   ~0003336

now displays text, needs some design updateting

INOPIAE

2012-11-20 21:31

updater   ~0003351

Tested. New text is displayed.
=>ok

Uli60

2012-11-20 21:39

updater   ~0003352

new patch updated 2012-11-20, 22:30 by BenBe

Uli60

2012-11-20 21:40

updater   ~0003353

https://cacert1.it-sls.de/wot.php?id=4
checked, text ok
=> ok

Uli60

2012-11-20 21:41

updater   ~0003354

tested by 2, neeeds 2nd review

INOPIAE

2012-11-20 23:02

updater   ~0003356

Account 0.php ok

Uli60

2012-11-21 00:00

updater   ~0003359

account (0) main site after login

For information about the TTP-assisted-assurance program please read https://wiki.cacert.org/TTP/TTPuser

=> ok

NEOatNHNG

2012-12-09 23:25

administrator   ~0003387

Reviewed. Mail sent to critical admins.

wytze

2012-12-11 14:41

developer   ~0003394

The patch has been installed on the production server on December 11, 2012. See also: https://lists.cacert.org/wws/arc/cacert-systemlog/2012-12/msg00002.html

Werner Dworak

2013-03-21 07:38

updater   ~0003838

More than 3 months solved

Issue History

Date Modified Username Field Change
2012-11-11 11:44 INOPIAE New Issue
2012-11-11 11:44 INOPIAE Assigned To => INOPIAE
2012-11-11 11:44 INOPIAE File Added: 4.modified.php
2012-11-11 11:47 INOPIAE Relationship added related to 0001112
2012-11-11 16:44 INOPIAE File Deleted: 4.modified.php
2012-11-11 16:44 INOPIAE File Added: 4.modified.php
2012-11-11 16:45 INOPIAE Note Added: 0003323
2012-11-11 16:45 INOPIAE Assigned To INOPIAE => BenBE
2012-11-11 16:45 INOPIAE Status new => fix available
2012-11-13 21:45 BenBE Source_changeset_attached => cacert-devel testserver d4958d1e
2012-11-13 21:45 INOPIAE Source_changeset_attached => cacert-devel testserver cae2ea0a
2012-11-13 22:36 Uli60 Note Added: 0003334
2012-11-13 22:45 BenBE Source_changeset_attached => cacert-devel testserver 8442c615
2012-11-13 22:45 BenBE Source_changeset_attached => cacert-devel testserver cae291e9
2012-11-13 22:50 BenBE Source_changeset_attached => cacert-devel testserver 9b03846f
2012-11-13 22:50 BenBE Source_changeset_attached => cacert-devel testserver 34c8f2f0
2012-11-13 22:55 Uli60 Note Added: 0003336
2012-11-13 23:10 BenBE Source_changeset_attached => cacert-devel testserver abd75194
2012-11-13 23:10 BenBE Source_changeset_attached => cacert-devel testserver c51b2b00
2012-11-13 23:10 INOPIAE Source_changeset_attached => cacert-devel testserver 38339fe5
2012-11-13 23:10 INOPIAE Source_changeset_attached => cacert-devel testserver 7c6ef4d9
2012-11-20 21:31 INOPIAE Note Added: 0003351
2012-11-20 21:38 Uli60 Status fix available => needs review & testing
2012-11-20 21:39 Uli60 Note Added: 0003352
2012-11-20 21:40 Uli60 Note Added: 0003353
2012-11-20 21:41 BenBE Reviewed by => BenBE
2012-11-20 21:41 Uli60 Note Added: 0003354
2012-11-20 21:41 Uli60 Status needs review & testing => needs review
2012-11-20 22:35 BenBE Source_changeset_attached => cacert-devel testserver b5299e19
2012-11-20 22:35 INOPIAE Source_changeset_attached => cacert-devel testserver 04af77b8
2012-11-20 22:50 BenBE Source_changeset_attached => cacert-devel testserver 759a7b15
2012-11-20 22:50 INOPIAE Source_changeset_attached => cacert-devel testserver c4a7296b
2012-11-20 22:57 INOPIAE Description Updated View Revisions
2012-11-20 23:02 INOPIAE Note Added: 0003356
2012-11-20 23:20 BenBE Source_changeset_attached => cacert-devel testserver 28df1036
2012-11-20 23:20 INOPIAE Source_changeset_attached => cacert-devel testserver 0d6ae90f
2012-11-20 23:45 BenBE Source_changeset_attached => cacert-devel testserver b651c002
2012-11-20 23:45 INOPIAE Source_changeset_attached => cacert-devel testserver fa3f2e72
2012-11-21 00:00 Uli60 Note Added: 0003359
2012-11-21 00:18 Uli60 Assigned To BenBE => NEOatNHNG
2012-12-09 23:25 NEOatNHNG Reviewed by BenBE => NEOatNHNG, BenBE
2012-12-09 23:25 NEOatNHNG Note Added: 0003387
2012-12-09 23:27 NEOatNHNG Status needs review => ready to deploy
2012-12-10 00:35 NEOatNHNG Source_changeset_attached => cacert-devel release 4fb198eb
2012-12-11 14:41 wytze Note Added: 0003394
2012-12-11 14:41 wytze Status ready to deploy => solved?
2012-12-11 14:41 wytze Resolution open => fixed
2013-01-13 13:16 Werner Dworak Fixed in Version => 2012 Q4
2013-03-21 07:38 Werner Dworak Note Added: 0003838
2013-03-21 07:38 Werner Dworak Status solved? => closed